Long Term Retention Backups - Copy

Copiare un backup di conservazione a lungo termine esistente.

POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionServers/{longTermRetentionServerName}/longTermRetentionDatabases/{longTermRetentionDatabaseName}/longTermRetentionBackups/{backupName}/copy?api-version=2025-01-01

Parametri dell'URI

Nome In Necessario Tipo Descrizione
backupName
path True

string

Nome del backup.

locationName
path True

string

Posizione del database.

longTermRetentionDatabaseName
path True

string

Il nome del database.

longTermRetentionServerName
path True

string

Nome del server

subscriptionId
path True

string (uuid)

ID della sottoscrizione di destinazione. Il valore deve essere un UUID.

api-version
query True

string

minLength: 1

Versione dell'API da usare per questa operazione.

Corpo della richiesta

Nome Tipo Descrizione
properties.targetBackupStorageRedundancy

BackupStorageRedundancy

Tipo di ridondanza di archiviazione del backup copiato

properties.targetDatabaseName

string

Nome del database proprietario del backup copiato.

properties.targetResourceGroup

string

Gruppo di risorse proprietario del server di destinazione

properties.targetServerFullyQualifiedDomainName

string

Nome di dominio completo del server di destinazione

properties.targetServerResourceId

string

ID risorsa del server di destinazione proprietario del database

properties.targetSubscriptionId

string

Sottoscrizione proprietaria del server di destinazione

Risposte

Nome Tipo Descrizione
200 OK

LongTermRetentionBackupOperationResult

Operazione Azure completata con successo.

202 Accepted

Operazione sulle risorse accettata.

Intestazioni

Location: string

Other Status Codes

ErrorResponse

Risposta di errore imprevista.

Sicurezza

azure_auth

Azure Active Directory OAuth2 Flow.

Tipo: oauth2
Flow: implicit
URL di autorizzazione: https://login.microsoftonline.com/common/oauth2/authorize

Ambiti

Nome Descrizione
user_impersonation rappresentare l'account utente

Esempio

Copy the long term retention backup.

Esempio di richiesta

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionServers/testserver/longTermRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000/copy?api-version=2025-01-01

{
  "properties": {
    "targetBackupStorageRedundancy": "Geo",
    "targetDatabaseName": "testDatabase2",
    "targetServerResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/resourceGroups/resourceGroup/servers/testserver2"
  }
}

Risposta di esempio

{
  "name": "a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
  "type": "Microsoft.Sql/locations/longTermRetentionBackupOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionBackupOperationResults/a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
  "properties": {
    "fromBackupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionServers/testserver/longterRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000",
    "operationType": "CopyBackup",
    "requestId": "a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
    "status": "Succeeded",
    "targetBackupStorageRedundancy": "Geo",
    "toBackupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroup/providers/Microsoft.Sql/locations/japanEast/longTermRetentionServers/testserver2/longterRetentionDatabases/testDatabase2/longTermRetentionBackups/55555555-6666-7777-8888-111111111111;131637960820000000"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionBackupOperationResults/a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706?api-version=2021-05-01

Definizioni

Nome Descrizione
BackupStorageRedundancy

Tipo di account di archiviazione usato per archiviare i backup per questo database.

CopyLongTermRetentionBackupParameters

Contiene le informazioni necessarie per eseguire un'operazione di copia del backup di conservazione a lungo termine.

createdByType

Tipo di identità che ha creato la risorsa.

ErrorAdditionalInfo

Informazioni aggiuntive sull'errore di gestione delle risorse.

ErrorDetail

Dettagli dell'errore.

ErrorResponse

Risposta di errore

LongTermRetentionBackupOperationResult

Risorsa risultato dell'operazione LongTermRetentionBackup.

systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

BackupStorageRedundancy

Tipo di account di archiviazione usato per archiviare i backup per questo database.

Valore Descrizione
Geo

Geo

Local

Locale

Zone

Zona

GeoZone

GeoZone

CopyLongTermRetentionBackupParameters

Contiene le informazioni necessarie per eseguire un'operazione di copia del backup di conservazione a lungo termine.

Nome Tipo Descrizione
properties.targetBackupStorageRedundancy

BackupStorageRedundancy

Tipo di ridondanza di archiviazione del backup copiato

properties.targetDatabaseName

string

Nome del database proprietario del backup copiato.

properties.targetResourceGroup

string

Gruppo di risorse proprietario del server di destinazione

properties.targetServerFullyQualifiedDomainName

string

Nome di dominio completo del server di destinazione

properties.targetServerResourceId

string

ID risorsa del server di destinazione proprietario del database

properties.targetSubscriptionId

string

Sottoscrizione proprietaria del server di destinazione

createdByType

Tipo di identità che ha creato la risorsa.

Valore Descrizione
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Informazioni aggiuntive sull'errore di gestione delle risorse.

Nome Tipo Descrizione
info

object

Informazioni aggiuntive.

type

string

Tipo di informazioni aggiuntive.

ErrorDetail

Dettagli dell'errore.

Nome Tipo Descrizione
additionalInfo

ErrorAdditionalInfo[]

Informazioni aggiuntive sull'errore.

code

string

Codice di errore.

details

ErrorDetail[]

Dettagli dell'errore.

message

string

Messaggio di errore.

target

string

Destinazione dell'errore.

ErrorResponse

Risposta di errore

Nome Tipo Descrizione
error

ErrorDetail

Oggetto error.

LongTermRetentionBackupOperationResult

Risorsa risultato dell'operazione LongTermRetentionBackup.

Nome Tipo Descrizione
id

string (arm-id)

ID risorsa completo per la risorsa. Ad esempio, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Nome della risorsa

properties.fromBackupResourceId

string

ID risorsa di backup di origine

properties.message

string

Messaggio di stato

properties.operationType

string

Tipo di operazione.

properties.requestId

string (uuid)

ID richiesta.

properties.status

string

Stato dell'operazione

properties.targetBackupStorageRedundancy

BackupStorageRedundancy

Tipo di ridondanza di archiviazione del backup copiato

properties.toBackupResourceId

string

ID risorsa di backup di destinazione

systemData

systemData

Azure Resource Manager metadati contenenti informazioni createBy e modifiedBy.

type

string

Tipo di risorsa. Ad esempio: "Microsoft. Compute/virtualMachines" oppure "Microsoft. Storage/storageAccounts"

systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

Nome Tipo Descrizione
createdAt

string (date-time)

Timestamp della creazione della risorsa (UTC).

createdBy

string

Identità che ha creato la risorsa.

createdByType

createdByType

Tipo di identità che ha creato la risorsa.

lastModifiedAt

string (date-time)

Il timestamp dell'ultima modifica della risorsa (UTC)

lastModifiedBy

string

Identità che ha modificato l'ultima volta la risorsa.

lastModifiedByType

createdByType

Tipo di identità che ha modificato l'ultima volta la risorsa.